E: Error while running transaction

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Gesperrt
Amok
Newbie
Newbie
Beiträge: 6
Registriert: 8. Jun 2005, 21:41
Kontaktdaten:

E: Error while running transaction

Beitrag von Amok » 8. Jun 2005, 21:45

Hallo,

ich wollte heute auf KDE 3.4 mit apt updaten, aber ich erhielt folgende Fhlermeldungen:

file /opt/kde3/share/services/xcf.kimgio from install of kdelibs3-3.4.1- 5 conflicts with file from package gwenview-1.1.5-8
file /opt/kde3/share/mimelnk/application/x-webarchive.desktop from insta ll of kdelibs3-3.4.1-5 conflicts with file from package kdeaddons3-konqueror-3.3 .0-10
file /opt/kde3/lib/kde3/kstyle_plastik_config.la from install of kdelibs 3-3.4.1-5 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/kstyle_plastik_config.so from install of kdelibs 3-3.4.1-5 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/plugins/styles/plastik.la from install of kdelib s3-3.4.1-5 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/plugins/styles/plastik.so from install of kdelib s3-3.4.1-5 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/share/apps/kstyle/themes/plastik.themerc from install of kdelibs3-3.4.1-5 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/kwin3_plastik.la from install of kdebase3-3.4.1- 3 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/kwin3_plastik.so from install of kdebase3-3.4.1- 3 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/kwin_plastik_config.la from install of kdebase3- 3.4.1-3 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/lib/kde3/kwin_plastik_config.so from install of kdebase3- 3.4.1-3 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/share/apps/kwin/plastik.desktop from install of kdebase3- 3.4.1-3 conflicts with file from package kdeartwork3-3.3.0-7
file /opt/kde3/share/icons/crystalsvg/16x16/apps/edu_languages.png from install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/16x16/apps/edu_mathematics.png fro m install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/16x16/apps/edu_miscellaneous.png f rom install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/16x16/apps/edu_science.png from in stall of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/32x32/apps/edu_languages.png from install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/32x32/apps/edu_mathematics.png fro m install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/32x32/apps/edu_miscellaneous.png f rom install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/32x32/apps/edu_science.png from in stall of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
file /opt/kde3/share/icons/crystalsvg/48x48/apps/edu_languages.png from install of kdebase3-3.4.1-3 conflicts with file from package kdeedu3-3.3.0-6
E: Error while running transaction

Leider erhalte ich diese Fehlermeldung immer wenn ich jetzt etwas mit apt updaten will, woran kann das liegen ?
install -f habe ich schon versucht, hilft aber leider nichts !

Also, für Anregungen wäre ich sehr dankbar !

Ciao Amok
Ich bin root, ich darf das !

Werbung:
}-Tux-{
Moderator
Moderator
Beiträge: 696
Registriert: 12. Dez 2004, 19:54
Kontaktdaten:

Beitrag von }-Tux-{ » 8. Jun 2005, 22:04

Wichtig: [Tip] Abhängigkeiten lösen / Fehlermeldungen von apt
--> 4. Post

die --force option ist dein freund :wink:


mfg }-Tux-{

Amok
Newbie
Newbie
Beiträge: 6
Registriert: 8. Jun 2005, 21:41
Kontaktdaten:

Übersetzen bitte !

Beitrag von Amok » 8. Jun 2005, 22:19

Hi,

hab ich die --force option nicht schon mit -f benutzt ?
Und was meinst Du mit 4. Post ?
Sorry, ich bin diese kurzen Antworten noch nicht gewohnt !
Danke

Amok
Ich bin root, ich darf das !

}-Tux-{
Moderator
Moderator
Beiträge: 696
Registriert: 12. Dez 2004, 19:54
Kontaktdaten:

Beitrag von }-Tux-{ » 8. Jun 2005, 22:26

aus der apt manpage:
--force-rpm
Rpm option --force.

aus der apt-get manpage:
-f, --fix-broken
...

wie du siehst --force ist ungleich -f !

schau dir mal folgenden link an http://www.linux-club.de/viewtopic.php?t=16315
und scroll soweit runter, sodass du das avatar von oc2pus 4mal gesehen hast. Dann bist du beim 4. Post angelangt den du lesen solltest :)

Amok
Newbie
Newbie
Beiträge: 6
Registriert: 8. Jun 2005, 21:41
Kontaktdaten:

Problem gelößt !

Beitrag von Amok » 8. Jun 2005, 22:58

Juhu,

endlich hab ich das Problem gelösst bekommen

apt-get -f install kdelibs3 kdebase3 kdeedu3 qt3 kdeartwork3 kdeaddons3-konqueror

ich entnehme daraus das es apt nicht geschafft hat die Abhängigkeiten vollständig aufzulösen ! Danke nochmal für deine Erklärung deines Posts, hat geholfen !

Also, man sieht sich

ciao Amok
Ich bin root, ich darf das !

Gesperrt

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste